#ifndef INC_GTSCRWINDOW_H
#define INC_GTSCRWINDOW_H

#include "gtwidget.h"
#include "gtmatrix.h"
#include "gtviewport.h"
#include "gtscrollbar.h"

/************************************************************************\
*
* GtScrWindow class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtScrWindow : public GtWidget
{
public:
		/* Standard */
	GtScrWindow(void);
	void Destroy(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtScrWindow"); }
	sbool IsSubClassOf(char *cn);
		/* Instance checks */
	sbool Manage(void) { return(FALSE); }
		/* Values */
	inline GtMatrix *GetMatrix(void) { return(mat); }
	inline GtViewPort *GetViewPort(void) { return(vp); }
private:
		/* Internal callbacks */
	static int ViewChange(GtBase *obj,GtCDPtr cd,GtUDPtr ud);
	static int VertChange(GtBase *obj,GtCDPtr cd,GtUDPtr ud);
	static int HorizChange(GtBase *obj,GtCDPtr cd,GtUDPtr ud);
protected:
		/* Instance variables */
	GtMatrix *mat;
	GtViewPort *vp;
	GtScrollBar *hscr,*vscr;
};

extern GtScrWindow *GtMkScrWindow(char *n,GtManager *p,GtTag *tgs);
extern GtScrWindow *GtMkScrWindow(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTSCRWINDOW_H */
